Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rs
Interface RemoveSlotsRequestType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  RemoveSlotsRequestTypeImpl

    public interface RemoveSlotsRequestType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Remove Slots Request Type'.

The following features are supported:

- `Object Ref`
- `Slot`

See Also:
  `RegistryPackage.getRemoveSlotsRequestType()`

Method Summary
`ObjectRefType` | `getObjectRef()` Returns the value of the 'Object Ref' containment reference.
`org.eclipse.emf.common.util.EList` | `getSlot()` Returns the value of the 'Slot' containment reference list.
`void` | `setObjectRef(ObjectRefType value)` Sets the value of the '`Object Ref`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getObjectRef

    ObjectRefType getObjectRef()

  Returns the value of the 'Object Ref' containment reference.

  If the meaning of the 'Object Ref' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Object Ref' containment reference.
  See Also:
    `setObjectRef(ObjectRefType)`, `RegistryPackage.getRemoveSlotsRequestType_ObjectRef()`

### setObjectRef

    void setObjectRef(ObjectRefType value)

  Sets the value of the '`Object Ref`' containment reference.

  Parameters:
    `value` - the new value of the 'Object Ref' containment reference.
  See Also:
    `getObjectRef()`

### getSlot

    org.eclipse.emf.common.util.EList getSlot()

  Returns the value of the 'Slot' containment reference list. The list contents are of type `SlotType1`.

  If the meaning of the 'Slot' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Slot' containment reference list.
  See Also:
    `RegistryPackage.getRemoveSlotsRequestType_Slot()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD